import pygame, sys, data, util
from Game import Game
from pygame.locals import *



def main():
    """ your app starts here
    """

    pygame.init()

    pygame.display.set_caption("Day 3")
    clock = pygame.time.Clock()

    mainSong = data.filepath('DST-RailJet.mp3', 'sounds')
    pygame.mixer.music.load(mainSong)
    pygame.mixer.music.play(-1)

    background = pygame.image.load(data.imagepath('bg.Png'))
    g = Game()

    while True:
        
        for event in pygame.event.get():
            if event.type == pygame.QUIT:
                sys.exit()
            elif event.type == pygame.KEYDOWN:
                if event.key == pygame.K_ESCAPE:
                    pygame.quit()
                    sys.exit()
                

                


        

        g.update()


        pygame.display.flip()
        clock.tick(60)



if __name__ == '__main__':
    main()
